Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 593532 (CVE-2016-6491) - <media-gfx/imagemagick-6.9.5.10: Out-of-bounds read in CopyMagickMemory
Summary: <media-gfx/imagemagick-6.9.5.10: Out-of-bounds read in CopyMagickMemory
Status: RESOLVED FIXED
Alias: CVE-2016-6491
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B2 [glsa cve]
Keywords:
Depends on: CVE-2016-7906
Blocks:
  Show dependency tree
 
Reported: 2016-09-12 03:39 UTC by Ian Zimmerman
Modified: 2016-11-30 21:45 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Zimmerman 2016-09-12 03:39:11 UTC
According to the RedHat summary [1]:

An out-of-bounds read vulnerability in CopyMagickMemory was found that can lead to memory leak because the read data are written into output image using SetImageProperty or can cause DoS by crashing the application.

Fixed by upstream as in [2], in version 6.9.5-4. The first version available in gentoo above that is 6.9.5-5, still keyworded as unstable.

[1]
https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2016-6491

[2]
https://github.com/ImageMagick/ImageMagick/commit/dd84447b63a71fa8c3f47071b09454efc667767b


Reproducible: Always
Comment 1 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-10-11 08:39:40 UTC
Verified the source of media-gfx/imagemagick-6.9.5.10, which does contain the appropriate fix.
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2016-11-30 21:45:24 UTC
This issue was resolved and addressed in
 GLSA 201611-21 at https://security.gentoo.org/glsa/201611-21
by GLSA coordinator Aaron Bauman (b-man).